Name: ctp3-api
Version: 0.3.0
Release: 0%{?dist}
Summary: CTP3 api - Monitoring tools for ALICE ctp3
Group: System Environment/Libraries
License: LGPL v3+
Source0: %{name}-%{version}.tar.gz

BuildRequires: cmake, zeromq-devel, nodejs
BuildRequires: systemd
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
Requires: zeromq

%global debug_package %{nil}

%description
Api for CTP3 monitoring tool

%prep
%setup -q

%build
npm install
npm run build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr/share/%{name}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

# Restarting %{name}.service (maybe we don't want it)
%postun
%systemd_postun_with_restart %{name}.service

%files
%{_datadir}/%{name}/*

%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service

%changelog
